[sas-1126]scsi: hisi_sas: Assign NCQ tag for all NCQ commands

Bug #1853995 reported by Fred Kimmy on 2019-11-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kunpeng920
Undecided
Unassigned
Ubuntu-18.04
Undecided
Ike Panhc
Ubuntu-18.04-hwe
Undecided
Ike Panhc
Ubuntu-19.04
Undecided
Ike Panhc
Ubuntu-19.10
Undecided
Ike Panhc
Ubuntu-20.04
Undecided
Unassigned
Upstream-kernel
Undecided
Unassigned
linux (Ubuntu)
Status tracked in Focal
Bionic
Undecided
Ike Panhc
Disco
Undecided
Ike Panhc
Eoan
Undecided
Ike Panhc
Focal
Undecided
Unassigned

Bug Description

[Impact]
I/O error on blank Samsung SSD

[Test Case]
mkfs.ext4 on SSDs generates no I/O error

[Fix]
435a05cf8c00 scsi: hisi_sas: Assign NCQ tag for all NCQ commands

[Regression Risk]
Patch restricted to hisi_sas driver.

"[Steps to Reproduce]
mkfs.ext4 to the special SAMSUNG M27LH960, and some IO error

[Actual Results]
Io error when the first time of mkfs.ext4

[ 745.809462] hisi_sas_v3_hw 0000:74:02.0: erroneous completion iptt=8 task=00000000975f5cdf dev id=1 CQ hdr: 0x41d03 0x10008 0x1 0x4460000 Error info: 0x0 0x0 0x10000 0x0
[ 776.028794] sas: Enter sas_scsi_recover_host busy: 2 failed: 2
[ 776.034612] sas: trying to find task 0x000000009656953a
[ 776.034613] sas: sas_scsi_find_task: aborting task 0x000000009656953a
[ 776.042785] sas: sas_scsi_find_task: task 0x000000009656953a is done
[ 776.042786] sas: sas_eh_handle_sas_errors: task 0x000000009656953a is done
[ 776.049635] sas: trying to find task 0x00000000975f5cdf
[ 776.049636] sas: sas_scsi_find_task: aborting task 0x00000000975f5cdf
[ 776.056053] sas: sas_scsi_find_task: task 0x00000000975f5cdf is done
[ 776.056054] sas: sas_eh_handle_sas_errors: task 0x00000000975f5cdf is done
[ 776.062900] sas: ata5: end_device-4:0: cmd error handler
[ 776.062914] sas: ata5: end_device-4:0: dev error handler
[ 776.062918] sas: ata6: end_device-4:1: dev error handler
[ 776.062920] ata5.00: exception Emask 0x0 SAct 0xc0000000 SErr 0x0 action 0x6 frozen
[ 776.062924] sas: ata7: end_device-4:2: dev error handler
[ 776.062926] sas: ata8: end_device-4:3: dev error handler
[ 776.070548] ata5.00: failed command: SEND FPDMA QUEUED
[ 776.075669] ata5.00: cmd 64/01:00:00:00:00/00:00:00:00:00/a0 tag 30 ncq dma 512 out
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 776.090638] ata5.00: status: { DRDY }
[ 776.094290] ata5.00: failed command: SEND FPDMA QUEUED
[ 776.099410] ata5.00: cmd 64/01:00:00:00:00/00:00:00:00:00/a0 tag 31 ncq dma 512 out
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 776.114399] ata5.00: status: { DRDY }
[ 776.118051] ata5: hard resetting link
[ 776.123198] hisi_sas_v3_hw 0000:74:02.0: phydown: phy0 phy_state=0xfe
[ 776.129609] hisi_sas_v3_hw 0000:74:02.0: ignore flutter phy0 down
[ 776.282642] hisi_sas_v3_hw 0000:74:02.0: phyup: phy0 link_rate=10(sata)
[ 776.289236] sas: sas_form_port: phy0 belongs to port0 already(1)!
[ 776.451784] ata5.00: configured for UDMA/133
[ 776.456043] ata5.00: device reported invalid CHS sector 0
[ 776.461423] ata5.00: device reported invalid CHS sector 0
[ 776.466807] ata5: EH complete
[ 776.469773] sas: --- Exit sas_scsi_recover_host: busy: 0 failed: 2 tries: 1
[ 776.498528] hisi_sas_v3_hw 0000:74:02.0: erroneous completion iptt=15 task=000000009656953a dev id=1 CQ hdr: 0x41d03 0x1000f 0x1 0x4460000 Error info: 0x0 0x0 0x10000 0x0
[ 806.740789] sas: Enter sas_scsi_recover_host busy: 2 failed: 2
[ 806.746604] sas: trying to find task 0x00000000975f5cdf
[ 806.746605] sas: sas_scsi_find_task: aborting task 0x00000000975f5cdf
[ 806.754732] sas: sas_scsi_find_task: task 0x00000000975f5cdf is done
[ 806.754733] sas: sas_eh_handle_sas_errors: task 0x00000000975f5cdf is done
[ 806.761582] sas: trying to find task 0x000000009656953a
[ 806.761584] sas: sas_scsi_find_task: aborting task 0x000000009656953a
[ 806.768002] sas: sas_scsi_find_task: task 0x000000009656953a is done
[ 806.768003] sas: sas_eh_handle_sas_errors: task 0x000000009656953a is done
[ 806.774852] sas: ata5: end_device-4:0: cmd error handler
[ 806.774864] sas: ata5: end_device-4:0: dev error handler
[ 806.774868] sas: ata6: end_device-4:1: dev error handler
[ 806.774870] ata5.00: exception Emask 0x0 SAct 0x3 SErr 0x0 action 0x6 frozen
[ 806.774873] ata5.00: failed command: SEND FPDMA QUEUED
[ 806.774875] sas: ata7: end_device-4:2: dev error handler
[ 806.774878] sas: ata8: end_device-4:3: dev error handler
[ 806.787013] ata5.00: cmd 64/01:00:00:00:00/00:00:00:00:00/a0 tag 0 ncq dma 512 out
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 806.801900] ata5.00: status: { DRDY }
[ 806.805554] ata5.00: failed command: SEND FPDMA QUEUED
[ 806.810674] ata5.00: cmd 64/01:00:00:00:00/00:00:00:00:00/a0 tag 1 ncq dma 512 out
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 806.825582] ata5.00: status: { DRDY }
[ 806.829237] ata5: hard resetting link
[ 806.834445] hisi_sas_v3_hw 0000:74:02.0: phydown: phy0 phy_state=0xfe
[ 806.840856] hisi_sas_v3_hw 0000:74:02.0: ignore flutter phy0 down
[ 806.994690] hisi_sas_v3_hw 0000:74:02.0: phyup: phy0 link_rate=10(sata)
[ 807.001279] sas: sas_form_port: phy0 belongs to port0 already(1)!
[ 807.163818] ata5.00: configured for UDMA/133
[ 807.168075] ata5.00: device reported invalid CHS sector 0
[ 807.173453] ata5.00: device reported invalid CHS sector 0
[ 807.178838] ata5: EH complete
[ 807.181806] sas: --- Exit sas_scsi_recover_host: busy: 0 failed: 2 tries: 1
[ 807.210880] hisi_sas_v3_hw 0000:74:02.0: erroneous completion iptt=38 task=00000000975f5cdf dev id=1 CQ hdr: 0x41d03 0x10026 0x1 0x4460000 Error info: 0x0 0x0 0x10000 0x0
[ 837.460789] sas: Enter sas_scsi_recover_host busy: 2 failed: 2
[ 837.466601] sas: trying to find task 0x000000009656953a
[ 837.466602] sas: sas_scsi_find_task: aborting task 0x000000009656953a
[ 837.474777] sas: sas_scsi_find_task: task 0x000000009656953a is done
[ 837.474778] sas: sas_eh_handle_sas_errors: task 0x000000009656953a is done
[ 837.481625] sas: trying to find task 0x00000000975f5cdf
[ 837.481626] sas: sas_scsi_find_task: aborting task 0x00000000975f5cdf
[ 837.488040] sas: sas_scsi_find_task: task 0x00000000975f5cdf is done
[ 837.488041] sas: sas_eh_handle_sas_errors: task 0x00000000975f5cdf is done
[ 837.494886] sas: ata5: end_device-4:0: cmd error handler
[ 837.494898] sas: ata5: end_device-4:0: dev error handler
[ 837.494901] sas: ata6: end_device-4:1: dev error handler
[ 837.494904] ata5.00: NCQ disabled due to excessive errors
[ 837.494905] sas: ata7: end_device-4:2: dev error handler
[ 837.494909] sas: ata8: end_device-4:3: dev error handler
[ 837.500288] ata5.00: exception Emask 0x0 SAct 0xc SErr 0x0 action 0x6 frozen
[ 837.507309] ata5.00: failed command: SEND FPDMA QUEUED
[ 837.512429] ata5.00: cmd 64/01:00:00:00:00/00:00:00:00:00/a0 tag 2 ncq dma 512 out
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 837.527332] ata5.00: status: { DRDY }
[ 837.530982] ata5.00: failed command: SEND FPDMA QUEUED
[ 837.536101] ata5.00: cmd 64/01:00:00:00:00/00:00:00:00:00/a0 tag 3 ncq dma 512 out
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 837.550983] ata5.00: status: { DRDY }
[ 837.554635] ata5: hard resetting link
[ 837.559892] hisi_sas_v3_hw 0000:74:02.0: phydown: phy0 phy_state=0xfe
[ 837.566303] hisi_sas_v3_hw 0000:74:02.0: ignore flutter phy0 down
[ 837.718640] hisi_sas_v3_hw 0000:74:02.0: phyup: phy0 link_rate=10(sata)
[ 837.725233] sas: sas_form_port: phy0 belongs to port0 already(1)!
[ 837.887858] ata5.00: configured for UDMA/133
[ 837.892117] ata5.00: device reported invalid CHS sector 0
[ 837.897503] ata5: EH complete
[ 837.900466] sas: --- Exit sas_scsi_recover_host: busy: 0 failed: 2 tries: 1

[Expected Results]
no issue or no IO error

[Reproducibility]
It occurs all the times

[Additional information]
Hardware: D06 CS
Firmware: NA
Kernel: NA

[Resolution]
Currently the NCQ tag is only assigned for FPDMA READ and FPDMA WRITE
commands, and for other NCQ commands (such as FPDMA SEND), their NCQ tags
are set in the delivery command to 0.

So for all the NCQ commands, we also need to assign normal NCQ tag for
them, so drop the command type check in hisi_sas_get_ncq_tag() [drop
hisi_sas_get_ncq_tag() altogether actually], and always use the ATA command
NCQ tag when appropriate."

scsi: hisi_sas: Assign NCQ tag for all NCQ commands

Ike Panhc (ikepanhc) wrote :

I/O error while mkfs.ext4 on specific hardware.

I will see if we shall backport to v5.3 kernel.

tags: added: backport
Ike Panhc (ikepanhc) wrote :

Could you confirm if this issue happens only on Samsung SSD, or any other SSD/disk?

Changed in kunpeng920:
status: New → Incomplete
Fred Kimmy (kongzizaixian) wrote :

now we only find it in SAMSUNG M27LH960 disk

dann frazier (dannf) on 2019-12-12
Changed in kunpeng920:
status: Incomplete → Triaged
Ike Panhc (ikepanhc) on 2019-12-26
Changed in linux (Ubuntu Bionic):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Changed in linux (Ubuntu Disco):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1853995

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Eoan):
status: New → Incomplete
Ike Panhc (ikepanhc) on 2019-12-26
Changed in linux (Ubuntu Eoan):
assignee: nobody → Ike Panhc (ikepanhc)
status: Incomplete → In Progress
Changed in linux (Ubuntu Focal):
status: Incomplete → Fix Released
Ike Panhc (ikepanhc) wrote :
Changed in kunpeng920:
status: Triaged → In Progress
Ike Panhc (ikepanhc) on 2019-12-26
description: updated
Ike Panhc (ikepanhc) on 2020-01-01
tags: removed: backport
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed
Ike Panhc (ikepanhc) on 2020-01-08
Changed in kunpeng920:
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Ike Panhc (ikepanhc) wrote :

Thanks. Ubuntu-5.0.0-40.44 works for me.

tags: added: verification-done-disco
removed: verification-needed-disco
Launchpad Janitor (janitor) wrote :
Download full text (22.6 KiB)

This bug was fixed in the package linux - 5.0.0-40.44

---------------
linux (5.0.0-40.44) disco; urgency=medium

  * disco/linux: 5.0.0-40.44 -proposed tracker (LP: #1859724)

  * use-after-free in i915_ppgtt_close (LP: #1859522) // CVE-2020-7053
    - SAUCE: drm/i915: Fix use-after-free when destroying GEM context

  * CVE-2019-14615
    - drm/i915/gen9: Clear residual context state on context switch

  * System hang with kernel traces while entering reboot process on a Disco
    ARM64 moonshot node (LP: #1859582)
    - Revert "RDMA/cm: Fix memory leak in cm_add/remove_one"

linux (5.0.0-39.43) disco; urgency=medium

  * disco/linux: 5.0.0-39.43 -proposed tracker (LP: #1858547)

  * [Regression] usb usb2-port2: Cannot enable. Maybe the USB cable is bad?
    (LP: #1856608)
    - SAUCE: Revert "usb: handle warm-reset port requests on hub resume"

  * PAN is broken for execute-only user mappings on ARMv8 (LP: #1858815)
    - arm64: Revert support for execute-only user mappings

  * Fix unusable USB hub on Dell TB16 after S3 (LP: #1855312)
    - SAUCE: USB: core: Make port power cycle a seperate helper function
    - SAUCE: USB: core: Attempt power cycle port when it's in eSS.Disabled state

  * [sas-1126]scsi: hisi_sas: Fix out of bound at debug_I_T_nexus_reset()
    (LP: #1853992)
    - scsi: hisi_sas: Fix out of bound at debug_I_T_nexus_reset()

  * [sas-1126]scsi: hisi_sas: Assign NCQ tag for all NCQ commands (LP: #1853995)
    - scsi: hisi_sas: Assign NCQ tag for all NCQ commands

  * [sas-1126]scsi: hisi_sas: Fix the conflict between device gone and host
    reset (LP: #1853997)
    - scsi: hisi_sas: Fix the conflict between device gone and host reset

  * scsi: hisi_sas: Check sas_port before using it (LP: #1855952)
    - scsi: hisi_sas: Check sas_port before using it

  * CVE-2019-18885
    - btrfs: refactor btrfs_find_device() take fs_devices as argument
    - btrfs: merge btrfs_find_device and find_device

  * Integrate Intel SGX driver into linux-azure (LP: #1844245)
    - [Packaging] Add systemd service to load intel_sgx

  * [SRU][B/OEM-B/OEM-OSP1/D/E/F] Add LG I2C touchscreen multitouch support
    (LP: #1857541)
    - SAUCE: HID: multitouch: Add LG MELF0410 I2C touchscreen support

  * cifs: DFS Caching feature causing problems traversing multi-tier DFS setups
    (LP: #1854887)
    - cifs: Fix retrieval of DFS referrals in cifs_mount()

  * qede driver causes 100% CPU load (LP: #1855409)
    - qede: Handle infinite driver spinning for Tx timestamp.

  * [roce-1126]RDMA/hns: bugfix for slab-out-of-bounds when loading hip08 driver
    (LP: #1853989)
    - RDMA/hns: Bugfix for slab-out-of-bounds when unloading hip08 driver
    - RDMA/hns: bugfix for slab-out-of-bounds when loading hip08 driver

  * [roce-1126]RDMA/hns: Fixs hw access invalid dma memory error (LP: #1853990)
    - RDMA/hns: Fixs hw access invalid dma memory error

  * [hns-1126]net: hns3: revert to old channel when setting new channel num fail
    (LP: #1853983)
    - net: hns3: revert to old channel when setting new channel num fail

  * [hns-1126]net: hns3: fix port setting handle for fibre port
    (LP: #1853984)
    - net: hns3: fix port setting handle for fibre...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Ike Panhc (ikepanhc) wrote :

Both 4.15.0-87.87 and 5.3.0-40.32 work fine for me. Thanks.

tags: added: verification-done-bionic verification-done-eoan
removed: verification-needed-bionic verification-needed-eoan
Launchpad Janitor (janitor) wrote :
Download full text (78.1 KiB)

This bug was fixed in the package linux - 5.3.0-40.32

---------------
linux (5.3.0-40.32) eoan; urgency=medium

  * eoan/linux: 5.3.0-40.32 -proposed tracker (LP: #1861214)

  * No sof soundcard for 'ASoC: CODEC DAI intel-hdmi-hifi1 not registered' after
    modprobe sof (LP: #1860248)
    - ASoC: SOF: Intel: fix HDA codec driver probe with multiple controllers

  * ocfs2-tools is causing kernel panics in Ubuntu Focal (Ubuntu-5.4.0-9.12)
    (LP: #1852122)
    - ocfs2: fix the crash due to call ocfs2_get_dlm_debug once less

  * QAT drivers for C3XXX and C62X not included as modules (LP: #1845959)
    - [Config] CRYPTO_DEV_QAT_C3XXX=m, CRYPTO_DEV_QAT_C62X=m and
      CRYPTO_DEV_QAT_DH895xCC=m

  * Eoan update: upstream stable patchset 2020-01-24 (LP: #1860816)
    - scsi: lpfc: Fix discovery failures when target device connectivity bounces
    - scsi: mpt3sas: Fix clear pending bit in ioctl status
    - scsi: lpfc: Fix locking on mailbox command completion
    - Input: atmel_mxt_ts - disable IRQ across suspend
    - f2fs: fix to update time in lazytime mode
    - iommu: rockchip: Free domain on .domain_free
    - iommu/tegra-smmu: Fix page tables in > 4 GiB memory
    - dmaengine: xilinx_dma: Clear desc_pendingcount in xilinx_dma_reset
    - scsi: target: compare full CHAP_A Algorithm strings
    - scsi: lpfc: Fix SLI3 hba in loop mode not discovering devices
    - scsi: csiostor: Don't enable IRQs too early
    - scsi: hisi_sas: Replace in_softirq() check in hisi_sas_task_exec()
    - powerpc/pseries: Mark accumulate_stolen_time() as notrace
    - powerpc/pseries: Don't fail hash page table insert for bolted mapping
    - powerpc/tools: Don't quote $objdump in scripts
    - dma-debug: add a schedule point in debug_dma_dump_mappings()
    - leds: lm3692x: Handle failure to probe the regulator
    - clocksource/drivers/asm9260: Add a check for of_clk_get
    - clocksource/drivers/timer-of: Use unique device name instead of timer
    - powerpc/security/book3s64: Report L1TF status in sysfs
    - powerpc/book3s64/hash: Add cond_resched to avoid soft lockup warning
    - ext4: update direct I/O read lock pattern for IOCB_NOWAIT
    - ext4: iomap that extends beyond EOF should be marked dirty
    - jbd2: Fix statistics for the number of logged blocks
    - scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6) and WRITE(6)
    - scsi: lpfc: Fix duplicate unreg_rpi error in port offline flow
    - f2fs: fix to update dir's i_pino during cross_rename
    - clk: qcom: Allow constant ratio freq tables for rcg
    - clk: clk-gpio: propagate rate change to parent
    - irqchip/irq-bcm7038-l1: Enable parent IRQ if necessary
    - irqchip: ingenic: Error out if IRQ domain creation failed
    - fs/quota: handle overflows of sysctl fs.quota.* and report as unsigned long
    - scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer dereferences
    - PCI: rpaphp: Fix up pointer to first drc-info entry
    - scsi: ufs: fix potential bug which ends in system hang
    - powerpc/pseries/cmm: Implement release() function for sysfs device
    - PCI: rpaphp: Don't rely on firmware feature to imply drc-info support
    - PCI: rpaphp: Annotate and corr...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (79.8 KiB)

This bug was fixed in the package linux - 4.15.0-88.88

---------------
linux (4.15.0-88.88) bionic; urgency=medium

  * bionic/linux: 4.15.0-88.88 -proposed tracker (LP: #1862824)

  * Segmentation fault (kernel oops) with memory-hotplug in
    ubuntu_kernel_selftests on Bionic kernel (LP: #1862312)
    - Revert "mm/memory_hotplug: fix online/offline_pages called w.o.
      mem_hotplug_lock"
    - mm/memory_hotplug: fix online/offline_pages called w.o. mem_hotplug_lock

linux (4.15.0-87.87) bionic; urgency=medium

  * bionic/linux: 4.15.0-87.87 -proposed tracker (LP: #1861165)

  * Bionic update: upstream stable patchset 2020-01-22 (LP: #1860602)
    - scsi: lpfc: Fix discovery failures when target device connectivity bounces
    - scsi: mpt3sas: Fix clear pending bit in ioctl status
    - scsi: lpfc: Fix locking on mailbox command completion
    - Input: atmel_mxt_ts - disable IRQ across suspend
    - iommu/tegra-smmu: Fix page tables in > 4 GiB memory
    - scsi: target: compare full CHAP_A Algorithm strings
    - scsi: lpfc: Fix SLI3 hba in loop mode not discovering devices
    - scsi: csiostor: Don't enable IRQs too early
    - powerpc/pseries: Mark accumulate_stolen_time() as notrace
    - powerpc/pseries: Don't fail hash page table insert for bolted mapping
    - powerpc/tools: Don't quote $objdump in scripts
    - dma-debug: add a schedule point in debug_dma_dump_mappings()
    - clocksource/drivers/asm9260: Add a check for of_clk_get
    - powerpc/security/book3s64: Report L1TF status in sysfs
    - powerpc/book3s64/hash: Add cond_resched to avoid soft lockup warning
    - ext4: update direct I/O read lock pattern for IOCB_NOWAIT
    - jbd2: Fix statistics for the number of logged blocks
    - scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6) and WRITE(6)
    - scsi: lpfc: Fix duplicate unreg_rpi error in port offline flow
    - f2fs: fix to update dir's i_pino during cross_rename
    - clk: qcom: Allow constant ratio freq tables for rcg
    - irqchip/irq-bcm7038-l1: Enable parent IRQ if necessary
    - irqchip: ingenic: Error out if IRQ domain creation failed
    - fs/quota: handle overflows of sysctl fs.quota.* and report as unsigned long
    - scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer dereferences
    - scsi: ufs: fix potential bug which ends in system hang
    - powerpc/pseries/cmm: Implement release() function for sysfs device
    - powerpc/security: Fix wrong message when RFI Flush is disable
    - scsi: atari_scsi: sun3_scsi: Set sg_tablesize to 1 instead of SG_NONE
    - clk: pxa: fix one of the pxa RTC clocks
    - bcache: at least try to shrink 1 node in bch_mca_scan()
    - HID: logitech-hidpp: Silence intermittent get_battery_capacity errors
    - libnvdimm/btt: fix variable 'rc' set but not used
    - HID: Improve Windows Precision Touchpad detection.
    - scsi: pm80xx: Fix for SATA device discovery
    - scsi: ufs: Fix error handing during hibern8 enter
    - scsi: scsi_debug: num_tgts must be >= 0
    - scsi: NCR5380: Add disconnect_mask module parameter
    - scsi: iscsi: Don't send data to unbound connection
    - scsi: target: iscsi: Wait for all commands to finish before freeing a
...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Andrew Cloke (andrew-cloke) wrote :

Updating kunpeng920 18.04 series to match linux bionic series.

Andrew Cloke (andrew-cloke) wrote :

Released for Eoan.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers